using Decimation.Content.Projectiles;
using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Decimation.Lib.Util.Builder;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Weapons
{
    public class Slimer : DecimationWeapon
    {
        protected override string ItemName => "The Slimer";
        protected override string ItemTooltip => "Shoots a stream of sticky green slime\n" +
                                                 "Doesn't hurt, but this stuff is sticky!";
        protected override int Damages => 0;
        protected override DamageType DamagesType => DamageType.Ranged;
        protected override int ProjectileId => ModContent.ProjectileType<GreenSlime>();

        protected override void InitWeapon()
        {
            item.CloneDefaults(ItemID.SlimeGun);
            item.width = 42;
            item.height = 26;
            item.value = Item.buyPrice(silver: 40);
            item.rare = Rarity.Green.GetRarityValue();
        }

        protected override ModRecipe GetRecipe()
        {
            return new RecipeBuilder(this)
                .WithIngredient(ItemID.SlimeGun)
                .WithIngredient(ItemID.Gel, 50)
                .WithIngredient(ItemID.ArcheryPotion)
                .WithIngredient(ItemID.MudBlock, 25)
                .WithStation(TileID.Anvils)
                .Build();
        }
    }
}